[![status](https://joss.theoj.org/papers/d47fbf887ce21cf686a56bac1b36817e/status.svg)](https://joss.theoj.org/papers/d47fbf887ce21cf686a56bac1b36817e)
[![status](https://img.shields.io/pypi/v/sinaps?color=green)](https://pypi.org/project/SiNAPS/)
[![status](https://github.com/ngltr/sinaps/workflows/pytest/badge.svg)](https://github.com/ngltr/sinaps/actions/workflows/python-app.yml)
[![Documentation Status](https://readthedocs.org/projects/sinaps/badge/?version=latest)](https://sinaps.readthedocs.io/en/latest/?badge=latest)


# SiNAPS

`Sinaps` is a Python package providing a fast, flexible and expressive tool to model signal propagation and ionic electrodiffusion in neurons. It is an efficient framework to build computational models of voltage and calcium dynamics. It is based on the Cable theory for voltage propagation, and the Nernst-Planck equation for the electrodiffusion of ions.

<img src="docs/_static/bAP.gif" width="700" /> <img src="docs/_static/colorbar.png" height="650" />

*Figure 1 :*  **Voltage propagation in neuron triggered by synaptic action potential**

## Documentation

See the [documentation](http://sinaps.rtfd.io)

## Installation

Install the package:

    pip install sinaps


## Support

Please ask questions and submit bugs or feature requests on the
`git-hub issue tracker`: https://github.com/ngltr/sinaps/issues

